; POHIST.REC	Purchase Order history file record map.
;=======================================================================;
; Copyright 1999 by TAH Software Systems (TAH), Oklahoma City, Oklahoma ;
;									;
;	TAH provides this software under a license and may only be	;
;	used in accordance with the terms and conditions of such	;
;	license and with the inclusion of the above Copyright notice.	;
;=======================================================================;
;	Record size:	171
;	Primary key:	1.34	company,vendor,item
;	Alternate 1:	11.42	item,order,line,received date,line type
;	Alternate 2:	1.10	company,vendor
;			35.9	order,line (descending)
;	Alternate 3:	1.2	company
;			35.9	order,line
;=======================================================================;
; 8/16/06 tfc - add alt key 3 for po copy function
;
record	pohist
	poh_key		,a34			; Primary key
	  poh_comp	,a2	@poh_key	; Company code
	  poh_vend	,d8	@poh_key+2	; Vendor Id
	  poh_item	,a24	@poh_key+10	; Item Id
	poh_order	,d6			; Order number
	poh_lineno	,d3			; Line number
	poh_recdate	,d8			; Date received            (YMD)
	  poh_recyr	,d4	@poh_recdate
	  poh_recmo	,d2	@poh_recdate+4
	poh_linetype	,a1			; Line type
						;   I - stock item
						;   N - non stock item
	poh_orddate	,d8			; Order date               (YMD)
	poh_locncode	,a3			; Location
	poh_descr	,a30			; Description
	poh_ordqty	,d9.3			; Quantity ordered         (6.3)
	poh_recqty	,d9.3			; Quantity received        (6.3)
	poh_buomcode	,a3			; Buy unit of measure
	poh_ucost	,d9.3			; Unit cost                (6.3)
	poh_discpct	,d4.2			; Discount %               (2.2)
	poh_vendpn	,a24			; Vendor's item Id
	poh_cust	,d8			; Customer Id
	poh_custord	,d6			; Customer order number
	poh_pfactor	,d6			; Price/cost factor        (6.0)
